include:
- project: 'ci-tools/container-image-ci-templates'
  file: 'docker-image.gitlab-ci.yml'
  ref: master
- project: 'ci-tools/container-image-ci-templates'
  file: 'helm.gitlab-ci.yml'
  ref: master

stages:
- build-image
- build-chart

build-image:
  rules:
  - if: $CI_COMMIT_TAG
    variables:
      PUSH_IMAGE: "true"
      IMAGE_TAG: $CI_COMMIT_TAG
  - if: $CI_COMMIT_BRANCH
    variables:
      IMAGE_TAG: $CI_COMMIT_BRANCH
  stage: build-image
  extends: .build_docker
  variables:
    CONTEXT_DIR: "deployments/docker"
    COSIGN_PRIVATE_KEY: "${HARBOR_SIGNKEY}"
    DOCKER_FILE_NAME: "Dockerfile"
    PLATFORMS: "linux/amd64,linux/arm64"
    REGISTRY_IMAGE_PATH: "registry.cern.ch/kubernetes/stargz-snapshotter:$IMAGE_TAG"

build-chart:
  rules:
  - if: $CI_COMMIT_TAG
    variables:
      PUSH_CHART: "true"
  - if: $CI_COMMIT_BRANCH
  stage: build-chart
  extends: .deploy_helm
  variables:
    COSIGN_PRIVATE_KEY: "${HARBOR_SIGNKEY}"
    REGISTRY_CHART_PATH: registry.cern.ch/kubernetes/charts
